Bellwork
Tables

List your tables

Every table in your organization's projects, open ones by default. Use a table's `id` with the table endpoints. Tables are shared across the organization.

GET
/tables

Every table in your organization's projects, open ones by default. Use a table's id with the table endpoints. Tables are shared across the organization.

AuthorizationBearer <token>

API key (sk_live_... prefix). Generate keys in the UI under Settings > API Keys, then send it as Authorization: Bearer sk_live_...

In: header

Query Parameters

project_id?string

Only this project's tables

Formatuuid
include_archived?string

true adds closed tables

Value in"true" | "false"

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/tables"
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "entity_type": "string",
      "row_mode": "string",
      "project": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string"
      },
      "archived_at": "string",
      "created_at": "string",
      "updated_at": "string"
    }
  ]
}
{
  "error": "string",
  "message": "string",
  "statusCode": -9007199254740991
}